%define name acl
%define version 1.1.3
%define release 1mdk
%define url ftp://oss.sgi.com/projects/xfs/download/cmd_tars

%define lib_name_orig libacl
%define lib_major 1
%define lib_name %{lib_name_orig}%{lib_major}

Summary: Command for manipulating access control lists
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{url}/%{name}-%{version}.src.tar.bz2
Copyright: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://oss.sgi.com/projects/xfs/
Requires: %{lib_name}

%description
A command (chacl) to manipulate POSIX access control lists
under Linux.

%package -n %{lib_name}
Summary: Main library for %{lib_name_orig}
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n %{lib_name}-devel
Summary: Access control list static libraries and headers.
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
%{lib_name}-devel contains the libraries and header files needed to
develop programs which make use of POSIX access control lists.

You should install %{lib_name}-devel if you want to develop programs
which make use of ACLs.  If you install %{lib_name}-devel, you'll
also want to install %{lib_name}.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/CHANGES.gz doc/COPYING README
/bin/*
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc doc/COPYING
/lib/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/CHANGES.gz doc/COPYING README doc/PORTING
/lib/*.so
/lib/*a
%{_libdir}/*.so
%{_libdir}/*a
%{_mandir}/man[235]/*
%{_includedir}/*/*

%changelog
* Sat Sep 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-2mdk
- Fix provides.

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-1mdk
- Rework the .spec.
- Make libs in subpackage.
- 1.1.2.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First attempt.


# end of file
